Bug 216309 - [exp-run] Request for exp-run with sed(1) change of inplace behavior
Summary: [exp-run] Request for exp-run with sed(1) change of inplace behavior
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on: 215230
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-20 06:47 UTC by Xin LI
Modified: 2017-02-05 08:52 UTC (History)
0 users

See Also:


Attachments
Patch to be used for exp-run (489 bytes, patch)
2017-01-20 06:47 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2017-01-20 06:47:44 UTC
Created attachment 179127 [details]
Patch to be used for exp-run
Comment 1 commit-hook freebsd_committer 2017-01-20 06:55:59 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 06:55:34 UTC 2017
New revision: 431932
URL: https://svnweb.freebsd.org/changeset/ports/431932

Log:
  Shebangfix the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/textproc/p5-SGMLSpm/Makefile
Comment 2 commit-hook freebsd_committer 2017-01-20 07:16:16 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 07:15:34 UTC 2017
New revision: 431933
URL: https://svnweb.freebsd.org/changeset/ports/431933

Log:
  Reinplace the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/devel/tbb/Makefile
Comment 3 commit-hook freebsd_committer 2017-01-20 08:34:18 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 08:33:44 UTC 2017
New revision: 431934
URL: https://svnweb.freebsd.org/changeset/ports/431934

Log:
  Reinplace the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/textproc/antiword/Makefile
Comment 4 commit-hook freebsd_committer 2017-01-20 08:37:22 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 08:36:29 UTC 2017
New revision: 431935
URL: https://svnweb.freebsd.org/changeset/ports/431935

Log:
  Reinplace the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/net-mgmt/p0f/Makefile
Comment 5 commit-hook freebsd_committer 2017-01-20 08:42:28 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 08:42:11 UTC 2017
New revision: 431936
URL: https://svnweb.freebsd.org/changeset/ports/431936

Log:
  Shebangfix only the target of the symlink, not the symlink

  PR:		216309

Changes:
  head/french/eficas/Makefile
Comment 6 commit-hook freebsd_committer 2017-01-20 09:07:49 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 09:07:39 UTC 2017
New revision: 431938
URL: https://svnweb.freebsd.org/changeset/ports/431938

Log:
  Reinplace the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/news/husky/Makefile
Comment 7 Antoine Brodin freebsd_committer 2017-01-20 09:35:37 UTC
devel/subversion fails to patch which prevents testing 125 other ports, if someone want to fix:

http://gohan2.ysv.freebsd.org/data/head-amd64-default-baseline/p431921_s312438/logs/errors/subversion-1.9.5.log
Comment 8 commit-hook freebsd_committer 2017-01-20 12:51:00 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 12:50:41 UTC 2017
New revision: 431953
URL: https://svnweb.freebsd.org/changeset/ports/431953

Log:
  Remove no longer needed code that was reinplacing a symlink

  PR:		216309

Changes:
  head/audio/libcanberra-gtk3/Makefile
Comment 9 commit-hook freebsd_committer 2017-01-20 20:10:02 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 20:09:55 UTC 2017
New revision: 431993
URL: https://svnweb.freebsd.org/changeset/ports/431993

Log:
  Remove useless reinplace that was editing a symlink

  PR:		216309

Changes:
  head/devel/hgview/Makefile
Comment 10 commit-hook freebsd_committer 2017-01-20 20:13:06 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 20:12:27 UTC 2017
New revision: 431994
URL: https://svnweb.freebsd.org/changeset/ports/431994

Log:
  Do not reinplace a symlink

  PR:		216309

Changes:
  head/www/bkmrkconv/Makefile
Comment 11 commit-hook freebsd_committer 2017-01-20 20:17:11 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan 20 20:16:29 UTC 2017
New revision: 431995
URL: https://svnweb.freebsd.org/changeset/ports/431995

Log:
  Reinplace the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/graphics/cinepaint/Makefile
Comment 12 commit-hook freebsd_committer 2017-01-21 10:41:39 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 10:40:37 UTC 2017
New revision: 432018
URL: https://svnweb.freebsd.org/changeset/ports/432018

Log:
  Reinplace the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/multimedia/devede/Makefile
Comment 13 commit-hook freebsd_committer 2017-01-21 10:49:48 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 10:49:22 UTC 2017
New revision: 432019
URL: https://svnweb.freebsd.org/changeset/ports/432019

Log:
  Shebangfix only the target of the symlink, not the symlink

  PR:		216309

Changes:
  head/www/vdradmin-am/Makefile
Comment 14 commit-hook freebsd_committer 2017-01-21 10:58:57 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 10:58:27 UTC 2017
New revision: 432021
URL: https://svnweb.freebsd.org/changeset/ports/432021

Log:
  Remove unneeded reinplace that was editing a symlink

  PR:		216309

Changes:
  head/sysutils/py-bcfg2/Makefile
Comment 15 commit-hook freebsd_committer 2017-01-21 12:20:10 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 12:19:46 UTC 2017
New revision: 432027
URL: https://svnweb.freebsd.org/changeset/ports/432027

Log:
  Reinplace the target of the symlink instead of the symlink

  PR:		216309

Changes:
  head/lang/phc/Makefile
Comment 16 commit-hook freebsd_committer 2017-01-21 12:57:44 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 12:56:45 UTC 2017
New revision: 432030
URL: https://svnweb.freebsd.org/changeset/ports/432030

Log:
  Only reinplace the target of the symlinks, not the symlinks

  PR:		216309

Changes:
  head/sysutils/ansible/Makefile
Comment 17 commit-hook freebsd_committer 2017-01-21 15:33:59 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 15:33:18 UTC 2017
New revision: 432051
URL: https://svnweb.freebsd.org/changeset/ports/432051

Log:
  Remove unneeded reinplace of a symlink

  PR:		216309

Changes:
  head/games/bombherman/Makefile
Comment 18 commit-hook freebsd_committer 2017-01-21 15:49:13 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 15:48:19 UTC 2017
New revision: 432053
URL: https://svnweb.freebsd.org/changeset/ports/432053

Log:
  Shebangfix the target of a symlink instead of a symlink

  PR:		216309

Changes:
  head/multimedia/tvheadend/Makefile
Comment 19 commit-hook freebsd_committer 2017-01-21 18:35:34 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 21 18:35:01 UTC 2017
New revision: 432069
URL: https://svnweb.freebsd.org/changeset/ports/432069

Log:
  Do not shebangfix symlinks

  PR:		216309

Changes:
  head/mail/mailscanner/Makefile
Comment 20 Xin LI freebsd_committer 2017-01-30 08:24:21 UTC
Any additional issues?
Comment 21 Antoine Brodin freebsd_committer 2017-01-30 08:25:49 UTC
devel/subversion was not fixed,  I can add a workaround..
Comment 22 Xin LI freebsd_committer 2017-01-30 08:51:41 UTC
(In reply to Antoine Brodin from comment #21)
I do have a fix (bug 215230), may I request for a portmgr@ approval for committing it?

(I assume I could use a maintainer timeout but I realized that it was a self-inflicted wound to myself and I didn't realized that it was due to my sed(1) change).
Comment 23 Xin LI freebsd_committer 2017-02-05 08:37:44 UTC
Now that lev@ have landed the subversion fix, is there any remaining issue?
Comment 24 Antoine Brodin freebsd_committer 2017-02-05 08:47:29 UTC
(In reply to Xin LI from comment #23)
There is no remaining issue.
Comment 25 Xin LI freebsd_committer 2017-02-05 08:52:21 UTC
Thanks!